Subject: [Uri-review] 'udp' URIs?

From: Mykyta Yevstifeyev <[email-masked]>
Date: Sun, 28 Aug 2011 18:14:03 +0300

Hi,

I've seen 'udp' URIs before for a number of times and can see it in 
front of my eyes right now, in uTorrent, listed along with 'http' URIs 
in the trackers list.  I have the URI like 
<udp://tracker.somehost.com:80/announce>, and such URI makes me think 
that it's in some way related to HTTP, as port 80 is used.  OTOH, one 
may also think it's related to UDP, which seems to be obvious from the 
scheme name.

Official IANA registry says nothing about it; neither does Wikipedia 
(http://en.wikipedia.org/wiki/URI_scheme).  I've found the 1999 draft, 
though, proposing two schemes for HTTP-over-UDP: 
http://tools.ietf.org/html/draft-goland-http-udp-01.  So does anybody 
know how is it related to 'udp' scheme and what the latter stands for at 
all?

Mykyta Yevstifeyev